#include <iostream.h>
#include <stdlib.h>

#include "cjy.h"

int main( int argc, char *argv[] )
{
   int n,  i;
   complex<double> x, *y, *ys;

   cout.precision(18);

   n = atoi(argv[1]);

   y = new complex<double>[n+1];
   ys = new complex<double>[n+1];

   x = complex<double>( atof(argv[2]), atof(argv[3]) );

   cyn( n, x, y, ys );

   for ( i=0; i<=n; i++ )
   {
      cout << i << " : " << y[i] << " ; " << ys[i] << endl;
   }

   delete [] y;
   delete [] ys;

   return(0);
}
